> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse users

> A `GET` to the `/users` endpoint allows your application to retrieve all a tenants users.



## OpenAPI

````yaml get /v3/users
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/users:
    get:
      tags:
        - User
      summary: Browse users
      description: >-
        A `GET` to the `/users` endpoint allows your application to retrieve all
        a tenants users.
      operationId: users.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `User`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/User'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        email:
          type: string
        throttle:
          type:
            - integer
            - 'null'
        roles:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              handle:
                type: string
            required:
              - id
              - handle
        permissions:
          type: array
          items:
            type: object
            properties:
              id:
                type: integer
              handle:
                type: string
            required:
              - id
              - handle
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - email
        - throttle
        - roles
        - permissions
        - created_at
        - updated_at
      title: User
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````